diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/wifi-mode.h ns-3.33/src/wifi/model/wifi-mode.h
--- ns-3.32/src/wifi/model/wifi-mode.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/wifi-mode.h	2021-01-09 10:19:23.000000000 -0800
@@ -27,6 +27,8 @@
 
 namespace ns3 {
 
+#define SU_STA_ID 65535
+
 class WifiTxVector;
 
 /**
@@ -136,10 +138,11 @@
   uint64_t GetDataRate (uint16_t channelWidth, uint16_t guardInterval, uint8_t nss) const;
   /**
    * \param txVector the WifiTxVector of the signal
+   * \param staId the station ID for MU (unused if SU)
    *
    * \returns the data bit rate of this signal.
    */
-  uint64_t GetDataRate (WifiTxVector txVector) const;
+  uint64_t GetDataRate (WifiTxVector txVector, uint16_t staId = SU_STA_ID) const;
   /**
    * \param channelWidth the considered channel width in MHz
    *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/wifi/model/wifi-phy-band.h ns-3.33/src/wifi/model/wifi-phy-band.h
--- ns-3.32/src/wifi/model/wifi-phy-band.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/wifi/model/wifi-phy-band.h	2021-01-09 10:19:23.000000000 -0800
@@ -57,7 +57,6 @@
     case WIFI_PHY_BAND_6GHZ:
       return (os << "6GHz");
     default:
-      NS_FATAL_ERROR ("Invalid band");
       return (os << "INVALID");
     }
 }
